opam-version: "2.0"
synopsis: "Chain Crawler"
maintainer: ["contact@functori.com"]
authors: ["Maxime Levillain <maxime.levillain@functori.com>"]
license: "MIT"
homepage: "https://gitlab.com/functori/dev/chain-crawler"
bug-reports: "https://gitlab.com/functori/dev/chain-crawler/-/issues"
dev-repo: "git://gitlab.com/functori/dev/chain-crawler"
depends: [
  "dune" {>= "3.12"}
  "ez_api"
  "ppx_deriving_encoding"
  "odoc" {with-doc}
]
depopts: [
  "ocurl"
  "httpaf-lwt-unix"
  "ezjs_fetch"
  "pgorm"
]
build: [
  ["dune" "subst"] {dev}
  [
    "dune"
    "build"
    "-p"
    name
    "-j"
    jobs
    "@install"
    "@runtest" {with-test}
    "@doc" {with-doc}
  ]
]
